<?php
require_once 'core/sys.php';
reg();
head('Игра камни');

echo '<div class="name">Игра Камни:</div><div class="row">';
if(empty($_GET['stavka'])){
echo '<img src="img/other/npc/Hozain.gif" alt=""> Вычислительная система <b>Хозяин</b><br>
- Я хочу сыграть с тобой в одну игру...<br><br>

У вас есть мешок с камнями.<br>
Ваша задача достать из мешка 3 самых лучших камня.<br>
Есть шанс , что вы достанете меньше чем 3,так же, как и Хозяин.<br>



<form action="game_kamni.php" method="get">
<img src="img/money/money.png"> <input type="number" value="50" name="stavka">
<input type="submit" value="Играть"></form></div>';
}else{
$stavka = int($_GET['stavka']);
	if($stavka > 5000){
	echo '</div><div id="error">Ставка не должна превышать <img src="img/money/money.png"> 5 000!</div>';
	foot();
	exit;
	}
	if($stavka < 1000){
	echo '</div><div id="error">Ставка не должна быть меньше <img src="img/money/money.png"> 1000!</div>';
	foot();
	exit;
	}
	if($user['money']<$stavka){
	echo '</div><div id="error">У вас нет столько денег!</div>';
	foot();
	exit;	
	}
$arr_us = array(0,1,2,3);
$us_rand = array_rand($arr_us,1);
$us_rand2 = array_rand($arr_us,1);
$us_rand3 = array_rand($arr_us,1);


$rand_my = $arr_us[$us_rand];
$rand_my2 = $arr_us[$us_rand2];
$rand_my3 = $arr_us[$us_rand3];

if($rand_my == 0) $img_my = '';
else $img_my = '<img src="img/kamni/'.$rand_my.'.png" alt=""> ';
if($rand_my2 == 0) $img_my2 = '';
else $img_my2 = '<img src="img/kamni/'.$rand_my2.'.png" alt=""> ';
if($rand_my3 == 0) $img_my3 = '';
else $img_my3 = '<img src="img/kamni/'.$rand_my3.'.png" alt=""> ';


$us_summa = $rand_my+$rand_my2+$rand_my3;
echo 'Вам выпало: '.$us_summa.'<br>';
echo $img_my.$img_my2.$img_my3;
#echo $rand_my.$rand_my2.$rand_my3;


echo '<br>';

/*Хозяин*/
$hoz_rand = array_rand($arr_us,1);
$hoz_rand2 = array_rand($arr_us,1);
$hoz_rand3 = array_rand($arr_us,1);


$rand_hoz = $arr_us[$hoz_rand];
$rand_hoz2 = $arr_us[$hoz_rand2];
$rand_hoz3 = $arr_us[$hoz_rand3];


if($rand_hoz == 0) $img_hoz = '';
else $img_hoz = '<img src="img/kamni/'.$rand_hoz.'.png" alt=""> ';
if($rand_hoz2 == 0) $img_hoz2 = '';
else $img_hoz2 = '<img src="img/kamni/'.$rand_hoz2.'.png" alt=""> ';
if($rand_hoz3 == 0) $img_hoz3 = '';
else $img_hoz3 = '<img src="img/kamni/'.$rand_hoz3.'.png" alt=""> ';

$hoz_summa = $rand_hoz+$rand_hoz2+$rand_hoz3;
echo 'Хозяину выпало: '.$hoz_summa.'<br>';
echo $img_hoz.$img_hoz2.$img_hoz3;
#echo $rand_hoz.$rand_hoz2.$rand_hoz3;
echo '<br><br>';
if($hoz_summa > $us_summa){
echo '<div id="error">Вы проиграли :( <img src="img/money/money.png"> '.$stavka.'</div>';
mysql_query("UPDATE `users` SET `money`=`money`-".$stavka." WHERE `id`='".$user['id']."'");
}elseif($hoz_summa == $us_summa){
$chast_stavki = round($stavka/2);
echo '<div id="error">Ничья :/<br> За игру Хозяин забирает себе полновину ставки <img src="img/money/money.png"> '.$chast_stavki.'</div>';

mysql_query("UPDATE `users` SET `money`=`money`-".$chast_stavki." WHERE `id`='".$user['id']."'");
}else{
echo '<div id="ok">Вы победили :) <img src="img/money/money.png"> '.$stavka.'</div>';
mysql_query("UPDATE `users` SET `money`=`money`+".$stavka." WHERE `id`='".$user['id']."'");
}
echo '<br><a id="link_button" href="game_kamni.php?stavka='.$stavka.'">Играть еще</a> <a id="link_button" href="game_kamni.php?">Поменять ставку</a>';
echo '</div>';
}
foot();
?>